Cyberduck Mountain Duck CLI

#7983 closed defect (worksforme)

Spinning cursor launching application

Reported by: cyberducksean Owned by: yla
Priority: normal Milestone:
Component: core Version: 4.4.4
Severity: blocker Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

I just updated to 4.4 and now cyberduck won't launch. When I double click the cyberduck.exe, my cursor spins but the app doesn't load. when I launch my process manager, I can see the application running, then it stops before the UI is loaded

Attachments (1)

cyberduck.log (143.0 KB) - added by cyberducksean on Jun 26, 2014 at 3:30:23 PM.
cyberduck log

Download all attachments as: .zip

Change History (17)

comment:1 Changed on Jun 2, 2014 at 3:08:56 PM by dkocher

Please add the file cyberduck.log in the application support directory.

comment:2 Changed on Jun 2, 2014 at 3:10:26 PM by dkocher

  • Milestone set to 4.4.5

comment:3 Changed on Jun 2, 2014 at 7:47:29 PM by cyberducksean

the cyberduck.log file is not generated and I am not able locate the sub dir c:\users\<username>\appdata\roaming\cyberduck .

I also uninstalled, rebooted, then ran the 4.4 installer again as admin.

possible causes: my userid is active directory with a roaming profile . the appdata\roaming is controlled by active directory.

why not have the user related cyberduck files be stored within the application folder or at c:\users\<username>\local or c:\ProgramData ?

comment:4 Changed on Jun 3, 2014 at 12:14:42 PM by dkocher

  • Summary changed from cyberduck won't launch win 7 pro x64 to Spinning cursor launching application

comment:5 Changed on Jun 4, 2014 at 7:51:00 AM by yla

Such a behaviour we normally see with corrupt .NET installations. Can you try to reinstall the previous version and check if it launches?

comment:6 Changed on Jun 4, 2014 at 2:11:36 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

not fixed or resolved

Last edited on Jun 4, 2014 at 4:21:18 PM by cyberducksean (previous) (diff)

comment:7 Changed on Jun 4, 2014 at 4:20:31 PM by cyberducksean

version 4.3.1 installs and the application loads fine. why won't version 4.4.4 load fine?

Last edited on Jun 4, 2014 at 4:20:48 PM by cyberducksean (previous) (diff)

comment:8 Changed on Jun 4, 2014 at 4:23:33 PM by cyberducksean

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:9 Changed on Jun 4, 2014 at 7:02:20 PM by yla

Can you confirm that with 4.3.1 the cyberduck.log is now available? Just to make sure that your user profile is at its standard location c:\users\<username>.

comment:10 Changed on Jun 4, 2014 at 8:15:24 PM by cyberducksean

even though the app loads, the cyberduck folder is not found under the c:\users\<username> nor is the file cyberduck.log found anywhere on the hard drive.

comment:11 Changed on Jun 4, 2014 at 8:38:43 PM by yla

AppData is a hidden folder. Try to navigate to c:\users\<username>. Then add \AppData in the address bar which leads to c:\users\<username>\AppData and press enter. You now should see the roaming folder and you are able to navigate down to c:\users\<username>\AppData\Roaming\Cyberduck that should contain the cyberduck.log.

comment:12 Changed on Jun 4, 2014 at 10:14:04 PM by cyberducksean

my account is the local admin and a domain admin acct. I can see the c:\users\<username>\AppData\Roaming directory, but there is no cyberduck folder there.

nor is it in the folder under AppData\Local or AppData\LocalLow

comment:13 Changed on Jun 26, 2014 at 9:20:02 AM by yla

There must be a Roaming folder somewhere. Try to execute the following command in a cmd window:

echo %APPDATA%

That should give you the location of your AppData/Roaming folder.

comment:14 Changed on Jun 26, 2014 at 3:29:52 PM by cyberducksean

<roamingprofilenetworkpath>\AppData\Roaming\Cyberduck that pointed me to the proper place.

Last edited on Jun 26, 2014 at 6:51:24 PM by dkocher (previous) (diff)

Changed on Jun 26, 2014 at 3:30:23 PM by cyberducksean

cyberduck log

comment:15 Changed on Oct 29, 2014 at 7:14:18 PM by dkocher

  • Owner set to yla
  • Status changed from reopened to new

comment:16 Changed on Nov 14, 2014 at 8:21:11 AM by yla

  • Resolution set to worksforme
  • Status changed from new to closed

There are no log entries indicating any issue. All entries are most probably from the previous, working version. Launch issues are very difficult to debug with .NET. I see the following possibilities:

Feel free to reopen the ticket in case you can provide more information.

Note: See TracTickets for help on using tickets.
swiss made software